import request from '@/utils/request'

// 查询设备折旧信息列表
export function listDevicedepreciation(query) {
  return request({
    url: '/dms/devicedepreciation/list',
    method: 'get',
    params: query
  })
}

// 查询设备折旧信息详细
export function getDevicedepreciation(deviceDepreciationId) {
  return request({
    url: '/dms/devicedepreciation/' + deviceDepreciationId,
    method: 'get'
  })
}

// 新增设备折旧信息
export function addDevicedepreciation(data) {
  return request({
    url: '/dms/devicedepreciation',
    method: 'post',
    data: data
  })
}

// 修改设备折旧信息
export function updateDevicedepreciation(data) {
  return request({
    url: '/dms/devicedepreciation',
    method: 'put',
    data: data
  })
}

// 删除设备折旧信息
export function delDevicedepreciation(deviceDepreciationId) {
  return request({
    url: '/dms/devicedepreciation/' + deviceDepreciationId,
    method: 'delete'
  })
}
